// =====================================================================
//  $Id: TCommand.cc,v 1.4 2004/03/07 10:30:28 goiwai Exp $
//  $Name: CLDAQ-1-14-03 $
//  $Log: TCommand.cc,v $
//  Revision 1.4  2004/03/07 10:30:28  goiwai
//  ROOTに組みこむためのおまじないマクロを埋めこみました。
//  全てにおいて完全に動作するわけではありません。
//
//  Revision 1.3  2003/10/06 17:02:37  goiwai
//  *** empty log message ***
//
//  Revision 1.2  2003/07/30 16:17:30  goiwai
//  ファイルにコミットログをつけることにしました.
//
// =====================================================================
#include "TCommand.hh"
#include "TRunManager.hh"

TCommand::TCommand( TRunManager* manager, const Tstring& name, const Tstring& guidance )
  : theRunManager( manager ), theCommandName( name ), theGuidance( guidance )
{;}
TCommand::TCommand( const Tstring& name, const Tstring& guidance )
  : theRunManager( 0 ), theCommandName( name ), theGuidance( guidance )
{;}

TCommand::~TCommand()
{;}

Tvoid TCommand::ShowCommandDetail() const
{
  Tcout << "[" << theCommandName << "]" << Tendl;
  Tcout << theGuidance << Tendl;
  return;
}

Tvoid TCommand::Execute( const TstringList& arguments )
{
  Tcout << theCommandName << " is not implemented." << Tendl;
  return;
}

#ifdef __CLDAQ_ROOT_DLL
    ClassImp(TCommand)
#endif
